zh_CN


此发行注记记录了 Ubuntu 9.10 及其衍生版中的已知问题。

系统需求

运行 Ubuntu 9.10 的最小内存需求是 256MB。请注意,系统内存可能被显示卡占用,那部分无法被系统使用。如果您的计算机只有满足最小需求的内存,完成安装过程将需要更长的时间,不过此后系统可以正常地运行。

内存更少的计算机应当在 CD 启动时直接选择“安装 Ubuntu”以便仅启动安装程序,或者换用 Alternate CD 进行安装。

安装

默认安装的推荐软件包

依照 Debian 政策手册中对 Recommends 域列出的软件的描述,软件包管理程序现在会默认把 Recommends 中列出的软件包作为依赖进行安装。如果您希望安装时跳过对非依赖软件的安装,请使用 apt-get --no-install-recommends';如果您希望永远都不以此种方式安装,请将 /etc/apt/apt.conf' 中的 `APT::Install-Recommends' 设置为"false"。您需要知道这样做可能会使某些程序出现特性缺失。

(此项变更是在 Ubuntu 8.10 中最先做出的。)

休眠后可能无法自动重挂载分区

在默认分区策略下安装程序所分配的 SWAP 尺寸小于物理内存,这会阻止系统使用休眠功能,因为休眠需要至少与物理内存等大的 SWAP 空间。如果您希望使用休眠,您应当保证 SWAP 空间不小于物理内存。(354126)

安装 Ubuntu 9.10 RC 时其他系统没有自动出现在启动菜单

完成 Ubuntu 9.10 RC 版本的安装后,系统不能在启动菜单中正常显示已安装的其他操作系统。用户应当在安装完成重启后手工在命令行中执行sudo update-grub以解决此问题。(456776)

Kubuntu 上网本版本中 OEM 的“准备发送”图标没有显示

当使用 OEM 方式安装 Kubuntu 上网本版本时,“准备发送”图标没有显示在桌面上。进行此项安装的用户应当从命令行中运行oem-config-prepare。(386099)

升级

Ubuntu 9.04 的用户可以方便地升级到 Ubuntu 9.10。其他较老版本的用户需要先升级到 9.04 再到 9.10。完整的升级指南可以在这里获得:http://www.ubuntu.org.cn/getubuntu/upgrading/

Kubuntu 用户可以直接从 8.04 升级至 9.10,我们建议以此种方式升级的用户在开始前阅读 Ubuntu 8.10 发行注记Ubuntu 9.04 发行注记

不再支持通过模块选项设置无线管理域

Ubuntu 9.10 启用了 CRDA 无线管理框架,着重管理在特定位置下可用并可见的无线频道。如果您从前使用 /etc/modprobe.d/options 下的模块选项控制允许您指定的频道允许访问,那么您可能发现它们将失去作用:

  • options cfg80211 ieee80211_regdom=EU

在升级到 Ubuntu 9.10 时您应当删除此内核模块选项并使用 iw reg 命令代替。

(此项变更是在 Ubuntu 9.04 中最先做出的。)

从 Beta 升级必须手工运行 update-manager

Ubuntu 9.10 Beta 的 apt 软件包的一个错误使得它无法自动提示有可用软件包更新。所有安装了 Ubuntu 9.10 RC 版本以前的用户都需要手工运行update-manager并点击Check以便执行更新。(449535)

手工配置 wacom 面版会导致 X server 崩溃

Ubuntu 9.10 中的 wacom 驱动支持自动配置,但它与 /etc/X11/xorg.conf 中的手工设备配置相冲突并会导致 X server 在启动或停止时崩溃。请您删除或注释掉xorg.conf中的相关条目以避免此类崩溃。(358643)

Kubuntu 会保留不需要的电源引导软件包

Kubuntu 升级后可能留下已不再需要的 "kde-guidance-powermanager" 或 "guidance-power-manager" 软件包,您可以放心地将他们删除。

Xorg 中的 Ctrl-Alt-Backspace 默认为禁用,可使用 XKB 配置

从 Ubuntu 9.04 开始,Ctrl-Alt-Backspace 组合键强制重启 X 的方法默认便被禁用以防止不慎按下该组合后造成的损失。现在 X keymap (XKB) 选项取代了 "DontZap" 选项实现对它的分用户配置。

因此启用或禁用这个组合键可以轻松地在桌面环境的程序里实现。

为 Ubuntu 启用 Ctrl-Alt-Backspace

  • 选择 "系统"->"首选项"->"键盘"

  • 选择 "布局" 标签并点击 "布局选项" 按钮。
  • 选择 "使用组合键停止 X server" 并启用 "Control + Alt + Backspace"。

为 Kubuntu 启用 Ctrl-Alt-Backspace

  • 点击应用程序启动器并选择 "系统设置"
  • 点击 "区域和语言"。
  • 选择 "键盘布局"。
  • 点击 "启用键盘布局" (在布局标签中)。
  • 选择 "高级" 标签。然后选择 "使用组合键停止 X server" 并启用 "Control + Alt + Backspace"。

更多信息请查看: https://wiki.ubuntu.com/X/Config/DontZap

对可用更新提示的调整

Ubuntu 9.10 直接使用 update-manager 管理软件包更新而不再使用 GNOME 面版通知图标。若有安全更新用户每天会被提醒一次,非安全更新则是每星期一次。

希望继续使用以前的更新方式的用户可以运行以下命令:

gconftool -s --type bool /apps/update-notifier/auto_launch false

(此项变更是在 Ubuntu 9.04 中最先做出的。)

MySQL 升级

Ubuntu 9.10 中的默认 MySQL 服务器是 5.1 版本,同时 5.0 版本仍然可以通过 universe 仓库获得。使用 update-manager 进行升级时会自动完成从 MySQL 5.0 到 5.1 的迁移,但是使用 dist-upgrade 则不会进行迁移,转而更新 mysql-server-5.0。如果您安装了 MySQL 5.0 的 mysql-servermysql-client 软件包,在迁移前您应首先将他们删除。

MySQL 集群安装

如果您的 MySQL 被配置为使用 MySQL 集群引擎(NDB 引擎),那么到 MySQL 5.1 的迁移将不能进行,因为 mysql-dfsg-5.1 软件包不支持 MySQL 集群。在升级前 mysql-servermysql-client 软件包应当被删除,但 mysql-server-5.0 应当保留。update-manager 会自动处理好这种情况。您需要注意的是 MySQL 5.0 在 universe 仓库中,它没有 MySQL 5.1 (main 仓库)那样的顶级维护支持。

其他已知问题

变更到 ext4 文件系统需要手动升级 grub

如果您选择将 //boot 文件系统从 ext2 或 ext3 升级到 ext4 (依照 ext4 wiki 上所述的方法),那么您必须在升级完成后使用grub-install命令重新安装引导程序。如果您没有进行此步骤,原来安装的引导程序将无法从 ext4 文件系统中读取内核导致启动失败。

Upstart 任务不能在 chroot 环境中运行

Upstart 任务不能在 chroot 环境中运行,因为 upstart 作为服务管理者,chroot 内的进程无法与外部的 upstart 进行联系(430224)。这会导致某些转用 upstart 的软件包无法在 chroot 中进行升级操作。我们建议用户将 chroot 中的 /sbin/initctl 指向 /bin/true,可以在 chroot 中运行以下命令:

dpkg-divert --local --rename --add /sbin/initctl
ln -s /bin/true /sbin/initctl

如果存在 .local 域 Avahi 将拒绝启动

用以实现 mDNS "zeroconf" 标准的 avahi-daemon 软件包含了一个检查冲突的.local DNS 域的操作。我们接收到用户报告某些 ISP 在他们的网络上向用户推荐这些 .local 域,而它们会导致 Ubuntu 9.10 无法在本地网络中查看名称(327362)。

若要强制以此方式配置 mDNS,用户可运行以下命令:

sudo sed -i -e'/AVAHI_DAEMON_DETECT_LOCAL/s/1/0/' /etc/default/avahi-daemon
sudo service avahi-daemon start

从未签名仓库安装软件时 Kubuntu 的图形化软件包管理器不发出警告

对应 Kubuntu 9.10 的 kpackagekit 软件包管理器不会因为软件包来自无安全 PGP 认证的软件仓库而作出警告。如果用户使用此类软件仓库 /etc/apt/sources.list 设置但是希望接受此类通知,请使用 apt-get 这个命令行工具。 (256245)

在使用 Live CD 运行 Amarok 时将不提示下载额外解码器

在使用 Live CD 运行 Amarok 时将不提示下载额外解码器。因此它将无法播放 MP3 文件。当您将系统安装到硬盘后一切将恢复正常。(362538)

Evince PDF 查看器无法在非标准主目录中运行

GNOME 的文档查看器 Evince 携带了一个增强的 AppArmor 配置。它可以显著地提高用户对抗旧的 PDF 和图像函数库的缺点所带来的问题。使用非标准主目录位置的用户需要调整 /etc/apparmor.d/tunables/home 中的配置,请查看 https://wiki.ubuntu.com/DebuggingApparmor#Adjusting%20Tunables 以了解更多内容。

Ubuntu 9.10 不支持 Sparc 平台

Ubuntu 9.10 中的 upstart 初始化程序由于一个尚未能精确诊断的 SIGBUS 错误而无法于 Sparc 平台上运行。我们建议 Sparc 平台的用户继续使用 Ubuntu 9.04。同时欢迎您对如何在 Ubuntu 10.04 中解决此问题提出建议。(436758)

KarmicKoala/ReleaseNotes/zh_CN (last edited 2009-10-24 23:09:40 by luojie-dune)